
/*==========================================================*
Paper: 		"The impacts of microcredit: Evidence from B&H"

Purpose:		This do-file: 
				Creates the data set 
				"data\Baseline\Covariates Bosnia Baseline.dta"
\				
Code Author: 	IFS
Date created: 	Feb 2013
Last modified:  

Note:			XXX 
*===========================================================*/
capture log close
set more off
adopath+"C:\ado"
drop _all
global workdir "XXX"		
cap mkdir "${workdir}"	
cd "${workdir}"						

*-- PUT DATA SET TOGETHER: 
	use "data\Baseline\BL - SECTION 8 - Household roster cl.dta", clear
		//generate additional covariates (Aug2013 - for AEJ Applied special edition on MF)
		gen b_adults=0
		forvalues i = 1(1)9 {
			replace b_adults=b_adults+1 if o8_2_age0`i'>=16 & o8_2_age0`i'!=.
			}
		forvalues i = 10(1)12 {
			replace b_adults=b_adults+1 if o8_2_age`i'>=16 & o8_2_age`i'!=.
			}
		lab var b_adults "Nr of adults in HH (>=16 years old)"
		gen b_children=0
		forvalues i = 1(1)9 {
			replace b_children=b_children+1 if o8_2_age0`i'<16 & o8_2_age0`i'!=.
			}
		forvalues i = 10(1)12 {
			replace b_children=b_children+1 if o8_2_age`i'<16 & o8_2_age`i'!=.
			}
		lab var b_children "Nr of children in HH (<16 years old)"
		egen temp=rowtotal(o8_2_age01 o8_2_age02 o8_2_age03 o8_2_age04 o8_2_age05 o8_2_age06 o8_2_age07 o8_2_age08 o8_2_age09 o8_2_age10 o8_2_age11 o8_2_age12)
		replace b_adults=. if temp==.
		replace b_children=. if temp==.
	keep intervid branch resp*  hhmem_male hhmem_female kids_* elders_64 hhmem_* b_children b_adults
	save	"data\Baseline\Covariates Bosnia Baseline.dta", replace

	use "data\Baseline\BL - SECTION 3 - Consumption cl.dta", clear
	keep  intervid branch foodc_h foodc_o foodc ln_foodc_h ln_foodc_o ln_foodc cigalcc ln_cigalcc nondc ln_nondc nondc ln_nondc durablec ln_durablec
	save "data\Baseline\Covariates Baseline\temp.dta", replace

		use	"data\Baseline\Covariates Bosnia Baseline.dta", clear
		merge intervid using "data\Baseline\temp.dta", unique sort
			tab _m
			drop _m
		save	"data\Baseline\Covariates Bosnia Baseline.dta", replace

	use "data\Baseline\BL - SECTION 4 - Assets cl.dta", clear
	keep  intervid branch assetvalue ln_assetvalue dw_house dw_app dw_own dw_rent dw_sqm dw_other dw_other_ryn dw_other_rval
	save "data\Baseline\temp.dta", replace

		use	"data\Baseline\Covariates Bosnia Baseline.dta", clear
		merge intervid using "data\Baseline\temp.dta", unique sort
			tab _m
			drop _m
		save	"data\Baseline\Covariates Bosnia Baseline.dta", replace

	use "data\Baseline\BL - SECTION 5 - Income cl.dta", clear
	keep  intervid branch  y_min y_max   y_selfempl y_agric y_shop y_bank y_manuf y_tourism y_privb y_governmnt y_remit y_benefit y_pension y_rent y_other y_tot ln_ytot
	save "data\Baseline\temp.dta", replace

		use	"data\Baseline\Covariates Bosnia Baseline.dta", clear
		merge intervid using "data\Baseline\temp.dta", unique sort
			tab _m
			drop _m
		save	"data\Baseline\Covariates Bosnia Baseline.dta", replace

	use "data\Baseline\BL - SECTION 7 - Savings cl.dta", clear
	keep  intervid branch   savings_yn savings_val savings_avg ln_savings_avg contrib_weekly contrib_monthly contrib_yearly contrib_no sav_busexp sav_edu sav_edu_val sav_edu_p
	save "data\Baseline\temp.dta", replace

		use	"data\Baseline\Covariates Bosnia Baseline.dta", clear
		merge intervid using "data\Baseline\temp.dta", unique sort
			tab _m
			drop _m
		save	"data\Baseline\Covariates Bosnia Baseline.dta", replace

	use "data\Baseline\BL - SECTION 9 - Shocks cl.dta", clear
	keep  intervid branch jobloss_yn badharvest_yn illnessearn_yn illnessnonearn_yn deathearn_yn deathnonearn_yn emplleft_yn crime_yn compet_yn otherloss_yn jobgain_yn othergain_yn
	save "data\Baseline\temp.dta", replace

		use	"data\Baseline\Covariates Bosnia Baseline.dta", clear
		merge intervid using "data\Baseline\temp.dta", unique sort
			tab _m
			drop _m
		save	"data\Baseline\Covariates Bosnia Baseline.dta", replace


	use "$location\DATA - Baseline\ANALYSIS - hh survey\BL - SECTION 10 - Stress cl.dta", clear
	keep  intervid branch stress_1 stress_2 stress_3
	save "data\Baseline\temp.dta", replace

		use	"data\Baseline\Covariates Bosnia Baseline.dta", clear
		merge intervid using "data\Baseline\temp.dta", unique sort
			tab _m
			drop _m
		save	"data\Baseline\Covariates Bosnia Baseline.dta", replace

	use "$location\DATA - Baseline\ANALYSIS - hh survey\BL - SECTION 6 - Business cl.dta", clear
	keep  intervid branch  bm_own bm_trade bm_service bm_agric bm_prod bm_exist bm_staff_FT bm_staff_PT bm_staff_T bm_staffsalary bm_expenses bm_revenue bm_profit ln_bm_expenses ln_bm_revenue ln_bm_profit bs_own bs_trade bs_service bs_agric bs_prod bs_exist bs_staff_FT bs_staff_PT bs_staff_T bs_staffsalary bs_expenses bs_revenue bs_profit ln_bs_expenses ln_bs_revenue ln_bs_profit present_successful past_successful future_successful compare_peers higherdiet future_optimistic
	save "data\Baseline\temp.dta", replace

		use	"data\Baseline\Covariates Bosnia Baseline.dta", clear
		merge intervid using "data\Baseline\temp.dta", unique sort
			tab _m
			drop _m
		save	"data\Baseline\Covariates Bosnia Baseline.dta", replace


	use "$location\DATA - Baseline\ANALYSIS - hh survey\BL - SECTION 2 - Loans cl.dta", clear
		//generate additional covariates (Aug2013 - for AEJ Applied special edition on MF)
		egen b_l_mfi=rowmax(l1_2 l2_2 l3_2)
		la var b_l_mfi "=1 if one of outstanding loans is with MFI"
		egen b_l_bank=rowmax(l1_1 l2_1 l3_1)
		la var b_l_mfi "=1 if one of outstanding loans is with Bank"
		egen b_l_other=rowmax(l1_3 l2_3 l3_3)
		la var b_l_mfi "=1 if one of outstanding loans is with Other thank bank or MFI"
		egen b_l_percB=rowmean(l1_percbus l2_percbus l3_percbus)
		la var b_l_percB "Average percentage of 3 main outstanding loans used for business investment"
		forvalues i=1(1)3 {
			gen temp`i'_mfi=l`i'_amount if l`i'_2==1
			gen temp`i'_bank=l`i'_amount if l`i'_1==1
			gen temp`i'_other=l`i'_amount if l`i'_3==1
			}
		egen b_lamount_mfi=rowmean(temp1_mfi temp2_mfi temp3_mfi)
		egen b_lamount_bank=rowmean(temp1_bank temp2_bank temp3_bank)
		egen b_lamount_other=rowmean(temp1_other temp2_other temp3_other)
		foreach x of varlist b_lamount_mfi b_lamount_bank b_lamount_other {
			replace `x'=0 if `x'==.
			replace `x'=. if `x'==999999
			replace `x'=. if `x'==99999
			}
		egen b_loanamount=rowtotal(b_lamount_mfi b_lamount_bank b_lamount_other) 
	keep  intervid branch  loans *_amount  *_remaining b_l_*  b_lamount_* b_loanamount
	save "data\Baseline\temp.dta", replace
		use	"data\Baseline\Covariates Bosnia Baseline.dta", clear
		merge intervid using "data\Baseline\temp.dta", unique sort
			tab _m
			drop _m
		save	"data\Baseline\Covariates Bosnia Baseline.dta", replace


	gen baseline=1
	move branch  resp_gender
	move baseline  resp_gender

	save	"data\Baseline\Key variables Bosnia Baseline.dta", replace


	renpfix resp b_resp
	renpfix  hhmem b_hhmem
	renpfix kids b_kids
	rename  elders_64 b_elders_64
	renpfix food b_food
	renpfix ln_ bln_
	rename  cigalcc b_cigalcc
	rename  nondc b_nondc
	rename  durablec b_durablec
	rename  assetvalue b_assetvalue
	renpfix dw b_dw
	renpfix y_ b_y_
	renpfix savings b_savings
	renpfix contr b_contr
	renpfix sav_ b_sav_
	rename  jobloss_yn b_jobloss_yn
	rename  badharvest_yn b_badharvest_yn
	rename  illnessearn_yn b_illnessearn_yn
	rename  illnessnonearn_yn b_illnessnonearn_yn
	rename  deathearn_yn b_deathearn_yn
	rename  deathnonearn_yn b_deathnonearn_yn
	rename  emplleft_yn b_emplleft_yn
	rename  crime_yn b_crime_yn
	rename  compet_yn b_compet_yn
	rename  otherloss_yn b_otherloss_yn
	rename  jobgain_yn b_jobgain_yn
	rename  othergain_yn b_othergain_yn
	renpfix stress b_stress
	renpfix bm_ b_bm_
	renpfix bs_ b_bs_
	rename  present_successful b_present_successful
	rename  past_successful b_past_successful
	rename  future_successful b_future_successful
	rename  compare_peers b_compare_peers
	rename  higherdiet b_higherdiet
	rename  future_optimistic b_future_optimistic
	rename  loans b_loans
	rename  l1_amount b_l1_amount
	rename  l1_remaining b_l1_remaining
	rename  mortgage_amount b_mortgage_amount
	rename  l2_amount b_l2_amount
	rename   l2_remaining b_l2_remaining

* merge in intended loan use
	merge 1:1 intervid using "data\Baseline\BL - SECTION 2 - Loans (intended loan use).dta", nogen

* save	
	save  "data\Baseline\Covariates Bosnia Baseline.dta", replace
	erase "data\Baseline\temp.dta"





