/*==========================================================*
Paper: 		"The impacts of microcredit: Evidence from B&H"

Purpose:		This do-file: 
				Creates the data set:
				"data\Followup\Household level info working hrs and schooling - teenagers.dta"
\				
Code Author: 	IFS
Date created: 	Feb 2013
Last modified:  

Note:			XXX 
*===========================================================*/
capture log close
set more off
adopath+"C:\ado"
drop _all
global workdir "XXX"		
cap mkdir "${workdir}"	
cd "${workdir}"						

	
use "data\Followup\SECTION 8 - Household roster cl.dta", clear
merge m:1 intervid using "data\Baseline\Covariates Bosnia Baseline.dta"
	tab _m	
	drop if _m==2
	drop _m
// Preaparation of variables:
	forvalues i=1(1)9 {
		gen age0`i'=2010- o8_2_g0`i' // create year variable
		replace  o8_9_0`i'=0 if  o8_9_0`i'==. //clean working hours
		replace  o8_9_0`i'=. if  o8_9_0`i'>=100
		replace  o8_10_0`i'=0 if  o8_10_0`i'==. // clean working hours on business
		replace  o8_10_0`i'=. if  o8_10_0`i'>=100
		replace  o8_7_0`i'=0 if o8_7_0`i'==. // clean school attendance variable
		replace o8_7_0`i'=0 if o8_7_0`i'==2
		}
	forvalues i=10(1)12 {
		gen age`i'=2010- o8_2_g`i'
		replace  o8_9_`i'=0 if  o8_9_`i'==.
		replace  o8_9_`i'=. if  o8_9_`i'>=100
		replace  o8_10_`i'=0 if  o8_10_`i'==.
		replace  o8_10_`i'=. if  o8_10_`i'>=100
		replace  o8_7_`i'=0 if o8_7_`i'==. // clean school attendance variable
		replace o8_7_`i'=0 if o8_7_`i'==2
		}
	// total working hours at hh level for different age groups
	forvalues i=15(1)20 {
		gen hrswork_tot`i'=0
		gen hrswork_bus`i'=0
		gen schoolattend`i'=0
		gen count`i'=0
		}
	forvalues y=17(1)20 {
		gen hrswork_tot16`y'=0
		gen count16`y'=0
		forvalues i=1(1)9 {
			replace hrswork_tot16`y'=hrswork_tot16`y'+ o8_9_0`i' if age0`i'>=16 & age0`i'<=`y'
			replace hrswork_tot15=hrswork_tot15+ o8_9_0`i' if age0`i'==15
			replace hrswork_tot16=hrswork_tot16+ o8_9_0`i' if age0`i'==16
			replace hrswork_tot17=hrswork_tot17+ o8_9_0`i' if age0`i'==17
			replace hrswork_tot18=hrswork_tot18+ o8_9_0`i' if age0`i'==18
			replace hrswork_tot19=hrswork_tot19+ o8_9_0`i' if age0`i'==19
			replace hrswork_tot20=hrswork_tot20+ o8_9_0`i' if age0`i'==20
			replace count16`y'=count16`y'+1 if age0`i'>=16 & age0`i'<=`y'
			replace count15=count15+1 if age0`i'==15
			replace count16=count16+1 if age0`i'==16
			replace count17=count17+1 if age0`i'==17
			replace count18=count18+1 if age0`i'==18
			replace count19=count19+1 if age0`i'==19
			replace count20=count20+1 if age0`i'==20
			}
		forvalues i=10(1)12 {
			replace hrswork_tot16`y'=hrswork_tot16`y'+ o8_9_`i' if age`i'>=16 & age`i'<=`y'
			replace hrswork_tot15=hrswork_tot15+ o8_9_`i' if age`i'==15
			replace hrswork_tot16=hrswork_tot16+ o8_9_`i' if age`i'==16
			replace hrswork_tot17=hrswork_tot17+ o8_9_`i' if age`i'==17
			replace hrswork_tot18=hrswork_tot18+ o8_9_`i' if age`i'==18
			replace hrswork_tot19=hrswork_tot19+ o8_9_`i' if age`i'==19
			replace hrswork_tot20=hrswork_tot20+ o8_9_`i' if age`i'==20
			replace count16`y'=count16`y'+1 if age`i'>=16 & age`i'<=`y'
			replace count15=count15+1 if age`i'==15
			replace count16=count16+1 if age`i'==16
			replace count17=count17+1 if age`i'==17
			replace count18=count18+1 if age`i'==18
			replace count19=count19+1 if age`i'==19
			replace count20=count20+1 if age`i'==20
			}
		replace hrswork_tot16`y'=0 if hrswork_tot16`y'==.
		replace hrswork_tot16`y'=. if followup==0
		gen hrswork_pm16`y'= hrswork_tot16`y'/count16`y'
		replace hrswork_pm16`y'=0 if count16`y'==0
		replace hrswork_pm16`y'=. if followup==0
		}
	// working hours on business at hh level for different age groups
	forvalues y=17(1)20 {
		gen hrswork_bus16`y'=0
		forvalues i=1(1)9 {
			replace hrswork_bus16`y'=hrswork_bus16`y'+ o8_10_0`i' if age0`i'>=16 & age0`i'<=`y'
			replace hrswork_bus15=hrswork_bus15+ o8_10_0`i' if age0`i'==15
			replace hrswork_bus16=hrswork_bus16+ o8_10_0`i' if age0`i'==16
			replace hrswork_bus17=hrswork_bus17+ o8_10_0`i' if age0`i'==17
			replace hrswork_bus18=hrswork_bus18+ o8_10_0`i' if age0`i'==18
			replace hrswork_bus19=hrswork_bus19+ o8_10_0`i' if age0`i'==19
			replace hrswork_bus20=hrswork_bus20+ o8_10_0`i' if age0`i'==20
			}
		forvalues i=10(1)12 {
			replace hrswork_bus16`y'=hrswork_bus16`y'+ o8_10_`i' if age`i'>=16 & age`i'<=`y'
			replace hrswork_bus15=hrswork_bus15+ o8_10_`i' if age`i'==15
			replace hrswork_bus16=hrswork_bus16+ o8_10_`i' if age`i'==16
			replace hrswork_bus17=hrswork_bus17+ o8_10_`i' if age`i'==17
			replace hrswork_bus18=hrswork_bus18+ o8_10_`i' if age`i'==18
			replace hrswork_bus19=hrswork_bus19+ o8_10_`i' if age`i'==19
			replace hrswork_bus20=hrswork_bus20+ o8_10_`i' if age`i'==20
			}
		replace hrswork_bus16`y'=0 if hrswork_bus16`y'==.
		replace hrswork_bus16`y'=. if followup==0
		gen hrswork_buspm16`y'= hrswork_bus16`y'/count16`y'
		replace hrswork_buspm16`y'=0 if count16`y'==0
		replace hrswork_buspm16`y'=. if followup==0
		}
	// school attendance for different age groups
	forvalues y=17(1)20 {
		gen schoolattend16`y'=0
		forvalues i=1(1)9 {
			replace schoolattend16`y'=schoolattend16`y'+ o8_7_0`i' if age0`i'>=16 & age0`i'<=`y'
			replace schoolattend15=schoolattend15+ o8_7_0`i' if age0`i'==15
			replace schoolattend16=schoolattend16+ o8_7_0`i' if age0`i'==16
			replace schoolattend17=schoolattend17+ o8_7_0`i' if age0`i'==17
			replace schoolattend18=schoolattend18+ o8_7_0`i' if age0`i'==18
			replace schoolattend19=schoolattend19+ o8_7_0`i' if age0`i'==19
			replace schoolattend20=schoolattend20+ o8_7_0`i' if age0`i'==20
			}
		forvalues i=10(1)12 {
			replace schoolattend16`y'=schoolattend16`y'+ o8_7_`i' if age`i'>=16 & age`i'<=`y'
			replace schoolattend15=schoolattend15+ o8_7_`i' if age`i'==15
			replace schoolattend16=schoolattend16+ o8_7_`i' if age`i'==16
			replace schoolattend17=schoolattend17+ o8_7_`i' if age`i'==17
			replace schoolattend18=schoolattend18+ o8_7_`i' if age`i'==18
			replace schoolattend19=schoolattend19+ o8_7_`i' if age`i'==19
			replace schoolattend20=schoolattend20+ o8_7_`i' if age`i'==20
			}
		replace schoolattend16`y'=0 if schoolattend16`y'==.
		replace schoolattend16`y'=. if followup==0
		gen schoolattendpm16`y'= schoolattend16`y'/count16`y'
		replace schoolattendpm16`y'=0 if count16`y'==0
		replace schoolattendpm16`y'=. if followup==0
		}
	forvalues i=15(1)20 {
		replace hrswork_tot`i'=0 if hrswork_tot`i'==.
		replace hrswork_tot`i'=. if followup==0
		replace hrswork_bus`i'=0 if hrswork_bus`i'==.
		replace hrswork_bus`i'=. if followup==0
		replace schoolattend`i'=0 if schoolattend`i'==.
		replace schoolattend`i'=. if followup==0
		gen hrswork_totpm`i'=hrswork_tot`i'/count`i'
		replace hrswork_totpm`i'=0 if count`i'==0
		replace hrswork_totpm`i'=. if followup==0
		gen hrswork_buspm`i'=hrswork_bus`i'/count`i'
		replace hrswork_buspm`i'=0 if count`i'==0
		replace hrswork_buspm`i'=. if followup==0
		gen schoolattendpm`i'=schoolattend`i'/count`i'
		replace schoolattendpm`i'=0 if count`i'==0
		replace schoolattendpm`i'=. if followup==0
		}
		su hrswork_tot* hrswork_pm* schoolattend*

		
		forvalues y=17(1)20 {
			gen countinschool16`y'=0
			forvalues i=1(1)9 {
				replace countinschool16`y'=countinschool16`y'+1 if age0`i'>=16 & age0`i'<=`y' & o8_7_0`i'==1
				}
			forvalues i=10(1)12 {
				replace countinschool16`y'=countinschool16`y'+1 if age`i'>=16 & age`i'<=`y' & o8_7_`i'==1
				}
			replace countinschool16`y'=0 if countinschool16`y'==.

			}
			
** save constructed variables
	
	global YSchoolattend "schoolattend1617 schoolattend1618 schoolattend1619 schoolattend1620 schoolattendpm1617 schoolattendpm1618 schoolattendpm1619 schoolattendpm1620"
	global YvarHrsWTot "hrswork_tot1617 hrswork_tot1618 hrswork_tot1619 hrswork_tot1620 hrswork_pm1617 hrswork_pm1618 hrswork_pm1619 hrswork_pm1620"
	global YvarHrsWBus "hrswork_bus1617 hrswork_bus1618 hrswork_bus1619 hrswork_bus1620 hrswork_buspm1617 hrswork_buspm1618 hrswork_buspm1619 hrswork_buspm1620"
	
	keep intervid followup treatment $YSchoolattend $YvarHrsWTot $YvarHrsWBus
	
	save "data\Followup\Household level info working hrs and schooling - teenagers.dta", replace
	
	
	
	
	
