*******************************
* AUTHOR: Natalia Rigol
* Program Purpose: Creates Appendix Table 2- First Stage
* Date Created: 12/24/2012
***********************************

*GLOBAL DIRECTORY

global VFSROOT "C:\Users\Natalia\Dropbox\VWS Projects"

global cd	"$VFSROOT\graceperiodpaper\AER Resubmit\Publication Version"

*USING FILE


clear
use "$cd\New Files 20130415\Publication Data and Do Files\Grace Period Data.dta", clear



*******************************************8

local defaultvars  Distance_Btwn_Disbrs_First   Distance_Days_120_Ind_Obs Meeting_Time_Ind_Obs
local specifications "sec_treat i.Stratification_Dummies "
local specifications ""`specifications'" "sec_treat i.Stratification_Dummies i.sec_loan_officer ""
local num_vars : list sizeof defaultvars

forvalues i = 1/`num_vars' {
	local defaultvar : word `i' of `defaultvars'
	
	local j 0
	foreach specification in `specifications' {
		local j = `j' + 1
		
		*GET MEAN, VAR OF DEPENDENT VAR FOR CONTROL
		 quietly regress `defaultvar' if sec_treat== 0 , cluster(sec_group_name)
		matrix control_mean = e(b)
		matrix control_var = e(V)
		
		 xi: regress `defaultvar' `specification', cluster(sec_group_name)
		
		*ADD MEAN OF DEPENDENT VARIABLE FOR CONTROL TO THE TABLE IN PLACE OF CONSTANT
		matrix V_temp = e(V)
		matrix b_temp = e(b)
		
		local numxvars = colsof(V_temp)

		local controls_used 1
	
		local g=mod(`j',2)

		if `g'==1  local controls_used=0 

		*if strpos("`specification'", "`controls_and_miss'") != 0 local controls_used = 1
		
		local colofcons = colnumb( V_temp, "_cons" )
		
		matrix V_temp[`colofcons', `colofcons'] = control_var[1,1]
		matrix b_temp[1, `colofcons'] = control_mean[1,1]
		
		erepost V = V_temp, rename
		erepost b = b_temp, rename
		
		eststo model`i'`j', addscalars(controls_used `controls_used')
	}
}

local esttaboptions se label title("First Stage") drop(_I* ) coeflabels(_cons "Mean for No Delay ") scalars(controls_used)

esttab model* using "$cd\Tables\Excel Files\App Table 2-First Stage.csv", `esttaboptions' replace csv star (* 0.1 ** 0.05 *** 0.01)


eststo clear




