*******************************
* AUTHOR: Natalia Rigol
* Program Purpose: Figure 3
* Date Created: 12/24/2012
***********************************



*GLOBAL DIRECTORY

global VFSROOT "C:\Users\Natalia\Dropbox\VWS Projects"

global cd	"$VFSROOT\graceperiodpaper\AER Resubmit\Publication Version"

*USING FILE


clear
use "$cd\New Files 20130415\Publication Data and Do Files\Grace Period Data.dta", clear




sort sec_treat Distance_First_Last_Paid
by sec_treat: gen Order=_n
by sec_treat Distance_First_Last_Paid: egen max_Number_People=max(Order)
gen Percent_Repaid_Delay=(425-max_Number_People)/425 if sec_treat==1
gen Percent_Repaid_NoDelay=(420-max_Number_People)/420 if sec_treat==0

set obs 848
replace Distance_First_Last_Paid=1 in 846
replace Percent_Repaid_Delay=1 in 846
replace sec_treat=1 in 846
replace Distance_First_Last_Paid=550 in 848
replace Percent_Repaid_Delay=.01176471 in 848
replace sec_treat=1 in 848
replace Distance_First_Last_Paid=1 in 847
replace Percent_Repaid_NoDelay=1 in 847
replace sec_treat=0 in 847

sort sec_treat Distance_First_Last_Paid

twoway  (line Percent_Repaid_Delay   Distance_First_Last_Paid)(line   Percent_Repaid_NoDelay     Distance_First_Last_Paid, lpattern(dash)), legend( label(1 "Grace Period") label(2 "Regular") )xline(308) xline(364) xtitle("Days from First Meeting to Finished Repaying") xmtick(0(25)600) xlabel(0(50)600) ylabel(0(0.2)1) 

