# delimit ;
set more off;
drop _all;
matrix drop _all;
capture log close;
set logtype text;
pause on;

**** GENERATES THE RESULTS IN TABLE A.7 (PREDICTORS OF BORROWING IN AREAS WHERE ACSI/OCSSI ACTUALLY OPERATED);

log using "TableB3WhoBorrowed", replace;

* Import only data from endline survey;
use "data" if time==1;

gen new = yearsinvill < 4;
des headmale head_age headprimary head_noeduc hh_adults hh_6_15 u6 new landowncult roomsleep;

* TABLE A.7;
areg loans_rca headmale head_age headprimary head_noeduc hh_adults hh_6_15 u6 new landowncult roomsleep oldbusiness if T==1 [pw=fwt], absorb(pa) clu(pa);
count if T==1;
predict p_borrow_hat if T==1;

* Check range of predicted probabilities of borrowing;
summarize p_borrow_hat, detail;

log close;
